package app

import (
	"exhibition-register/pkg/tracing"
	"github.com/bwmarrin/snowflake"
	"go.uber.org/zap"
	"gorm.io/gorm"
)

var ModuleClients *App

type App struct {
	Lg *zap.Logger
	//RedisClient  *redis.Client
	JaegerTracer       *tracing.JaegerProvider
	ExhibitionRegister *gorm.DB
	SfNode             *snowflake.Node
}
